html * {
	font-family: 'Ubuntu Condensed', sans-serif;
}

body {
	font-size: 11px;
	color: #666;
	margin: 0;
}

input:focus,
textarea:focus {
	outline: none;
	box-shadow: 0 0 1px 2px var(--unicancer-purple-lighter);
}

input:hover:not(:focus):not([type=submit]):not([type=button]),
textarea:hover:not(:focus) {
	box-shadow: inset 0 0 1px 1px var(--unicancer-purple-lighter);
}

input[type=checkbox]:focus {
	box-shadow: 0 0 1px 1px black;
}

input[type=submit]:focus,
input[type=button]:focus {
	box-shadow: 0 0 1px 2px black;
}

table {
	width: 100%;
}

input[type=text],
input[type=password],
input[type=email],
[type=submit],
select,
textarea {
	font-size: inherit;
	padding: 4px 6px;
	border: 1px solid var(--unicancer-purple);
	color: #444444;
}

input:disabled {
	background-color: rgba(211, 211, 211, 0.651);
}

select {
	height: 25px;
}

.section-title {
	background: var(--unicancer-orange);
	color: white;
	padding: 5px 0;
	font-size: 1.3em;
	text-align: center;
	min-width: 240px;
}

.section-subtitle {
	margin: 8px 4px !important;
	font-weight: unset;
	display: inline-flex;
	align-items: flex-end;
}

.section-subtitle span:not(:last-child) {
	margin-right: 4px;
}

.section-footer {
	background: #eeeeee;
	color: var(--unicancer-purple);
	padding: 0.2em 0;
	margin: 0em 0.5em;
	font-size: 1.1em;
	text-align: center;
	text-decoration: none;
	width: auto;
	border: none;
}

h2 {
	margin: 0;
	font-size: 1.4rem !important;
	padding: .5em !important;
	background: none !important;
	color: var(--unicancer-orange) !important;
}

h3 {
	font-size: 1.25em !important;
	color: var(--unicancer-orange) !important;
}

.icon-sl {
	font-size: 1.2em;
}

.module-choice-icon {
	font-size: 1.4em;
	margin-right: 4px;
}

/* SUBMIT BUTTONS */
.submitValider,
.submitDelete,
.submitModule {
	padding: 5px 15px;
	cursor: pointer;
	border-radius: 5px;
	color: white;
	min-width: 80px;
	display: flex;
	align-items: center;
	justify-content: center;
}

.submitValider:focus,
.submitDelete:focus,
.submitModule:focus {
	outline: 0;
}

.submitValider {
	font-size: 1.2em;
	background: var(--unicancer-purple);
	border: solid 1px var(--unicancer-purple);
	transition: background .3s, color .3s;
}

.submitValider:hover {
	border: solid 1px var(--unicancer-purple);
	background: white;
	color: var(--unicancer-purple);
}

.submitDelete {
	background: var(--alert);
	border: solid 1px var(--alert);
	transition: background .3s, color .3s;
}

.submitDelete:hover {
	border: solid 1px var(--alert);
	background: white;
	color: var(--alert);
}

.submitModule {
	height: 60px;
	font-size: 1.6em;
	padding: 16px 14px;
	border-radius: 4px;
	border-width: 2px;
	transition: background .3s, color .3s;
}

/* SUBMIT MODULE BUTTON COLORS */
/* orange */
.submitModule.module-orange {
	background: var(--unicancer-orange);
	border-color: var(--unicancer-orange);
}

.submitModule.module-orange:hover {
	border-color: var(--unicancer-orange);
	background: white;
	color: var(--unicancer-orange);
}

.submitModule.module-orange.integration-module {
	background: white;
	border-color: var(--unicancer-orange);
	color: var(--unicancer-orange);
}

.submitModule.module-orange.integration-module:hover {
	border-color: var(--unicancer-orange);
	background: var(--unicancer-orange);
	color: white;
}

/* blue */
.submitModule.module-blue {
	background: var(--unicancer-blue);
	border-color: var(--unicancer-blue);
}

.submitModule.module-blue:hover {
	border-color: var(--unicancer-blue);
	background: white;
	color: var(--unicancer-blue);
}

.submitModule.module-blue.integration-module {
	background: white;
	border-color: var(--unicancer-blue);
	color: var(--unicancer-blue);
}

.submitModule.module-blue.integration-module:hover {
	border-color: var(--unicancer-blue);
	background: var(--unicancer-blue);
	color: white;
}

/* purple */
.submitModule.module-purple {
	background: var(--unicancer-purple);
	border-color: var(--unicancer-purple);
}

.submitModule.module-purple:hover {
	border-color: var(--unicancer-purple);
	background: white;
	color: var(--unicancer-purple);
}

.submitModule.module-purple.integration-module {
	background: white;
	border-color: var(--unicancer-purple);
	color: var(--unicancer-purple);
}

.submitModule.module-purple.integration-module:hover {
	border-color: var(--unicancer-purple);
	background: var(--unicancer-purple);
	color: white;
}

/* dark-green */
.submitModule.module-dark-green {
	background: var(--unicancer-dark-green);
	border-color: var(--unicancer-dark-green);
}

.submitModule.module-dark-green:hover {
	border-color: var(--unicancer-dark-green);
	background: white;
	color: var(--unicancer-dark-green);
}

.submitModule.module-dark-green.integration-module {
	background: white;
	border-color: var(--unicancer-dark-green);
	color: var(--unicancer-dark-green);
}

.submitModule.module-dark-green.integration-module:hover {
	border-color: var(--unicancer-dark-green);
	background: var(--unicancer-dark-green);
	color: white;
}

/* light-green */
.submitModule.module-light-green {
	background: var(--unicancer-light-green);
	border-color: var(--unicancer-light-green);
}

.submitModule.module-light-green:hover {
	border-color: var(--unicancer-light-green);
	background: white;
	color: var(--unicancer-light-green);
}

.submitModule.module-light-green.integration-module {
	background: white;
	border-color: var(--unicancer-light-green);
	color: var(--unicancer-light-green);
}

.submitModule.module-light-green.integration-module:hover {
	border-color: var(--unicancer-light-green);
	background: var(--unicancer-light-green);
	color: white;
}

/* grey */
.submitModule.module-grey {
	background: var(--unicancer-grey);
	border-color: var(--unicancer-grey);
}

.submitModule.module-grey:hover {
	border-color: var(--unicancer-grey);
	background: white;
	color: var(--unicancer-grey);
}

.submitModule.module-grey.integration-module {
	background: white;
	border-color: var(--unicancer-grey);
	color: var(--unicancer-grey);
}

.submitModule.module-grey.integration-module:hover {
	border-color: var(--unicancer-grey);
	background: var(--unicancer-grey);
	color: white;
}

/* redmine-purple */
.submitModule.module-redmine-purple {
	background: var(--unicancer-redmine-purple);
	border-color: var(--unicancer-redmine-purple);
}

.submitModule.module-redmine-purple:hover {
	border-color: var(--unicancer-redmine-purple);
	background: white;
	color: var(--unicancer-redmine-purple);
}

.submitModule.module-redmine-purple.integration-module {
	background: white;
	border-color: var(--unicancer-redmine-purple);
	color: var(--unicancer-redmine-purple);
}

.submitModule.module-redmine-purple.integration-module:hover {
	border-color: var(--unicancer-redmine-purple);
	background: var(--unicancer-redmine-purple);
	color: white;
}

/* dark-blue */
.submitModule.module-dark-blue {
	background: var(--unicancer-dark-blue);
	border-color: var(--unicancer-dark-blue);
}

.submitModule.module-dark-blue:hover {
	border-color: var(--unicancer-dark-blue);
	background: white;
	color: var(--unicancer-dark-blue);
}

.submitModule.module-dark-blue.integration-module {
	background: white;
	border-color: var(--unicancer-dark-blue);
	color: var(--unicancer-dark-blue);
}

.submitModule.module-dark-blue.integration-module:hover {
	border-color: var(--unicancer-dark-blue);
	background: var(--unicancer-dark-blue);
	color: white;
}

/* BUTTON */
.buttonPasswordGen {
	width: 60px;
	font-size: 1em;
	background-color: var(--unicancer-orange);
	color: white;
	border-radius: 3px;
	border: 1px solid var(--unicancer-orange);
	cursor: pointer;
	transition: background .3s, color .3s;
}

.buttonPasswordGen:hover {
	background: white;
	color: var(--unicancer-orange);
	text-decoration: none;
}

img.refresh {
	width: 20px;
}

/* TABLE */
.borderBottom,
.borderBottom th,
.borderBottom tr,
.borderBottom td {
	border: none !important;
	border-bottom: solid 1px lightgray !important;
	border-collapse: collapse;
}

.borderRight th,
.borderRight tr,
.borderRight td {
	border-right: solid 1px lightgray !important;
}

.borderInside,
.borderInside th,
.borderInside tr,
.borderInside td {
	border: solid 1px;
	border-collapse: collapse;
}

th.rotate,
td.rotate {
	height: 140px;
	white-space: nowrap;
}

th.rotate>div,
td.rotate>div {
	transform:
		translate(10px, 54px) rotate(-55deg);
	width: 20px;
}

th.rotate>div>span,
td.rotate>div>span {
	border-bottom: 1px solid #ccc;
	padding: 2px 0px;
}

/* EVENT */
#connectionEvents {
	min-width: 400px;
}

.eventTable th {
	font-size: 1.4em;
	text-align: left;
	padding: 8px 12px;
	color: #FFF;
	background: var(--unicancer-purple);
	border-top: 1px solid var(--unicancer-purple);
}

.eventTable th:first-child {
	border-left: 1px solid var(--unicancer-purple);
}

.eventTable th:last-child {
	border-right: 1px solid var(--unicancer-purple);
}

.eventTable tr:nth-child(even) {
	background-color: #f2f2f2;
}

.eventTable td {
	font-size: 1.3em;
	padding: 4px 8px;
	border-color: black;
}

.crfEventTable th {
	font-size: 1.3em;
	text-align: left;
	padding: 8px 12px;
	color: #FFF;
	background: var(--unicancer-purple);
	border-top: 1px solid var(--unicancer-purple);
}

.crfEventTable th:first-child {
	border-left: 1px solid var(--unicancer-purple);
}

.crfEventTable th:last-child {
	border-right: 1px solid var(--unicancer-purple);
}

.crfEventTable td {
	font-size: 1.3em;
	padding: 4px 8px;
	border-color: black;
}

.eventTableDay {
	font-size: 1.35em;
	text-align: center;
	padding: 8px 12px;
	color: white !important;
	background: var(--unicancer-orange) !important;
	border: 1px solid var(--unicancer-orange) !important;
	border-bottom-color: black !important;
}

.eventTableNbEntries {
	font-size: 1.35em;
	text-align: center;
	padding: 8px 12px;
	color: white !important;
	background: var(--unicancer-blue) !important;
	border: 1px solid var(--unicancer-blue) !important;
}

.eventColorAcces {
	color: #363fc5;
}

.eventColorValidate {
	color: #29a829;
}

.eventColorDisable {
	color: #e03434;
}

/* SESSION */
td.sessionTableKey {
	font-size: 1.2em;
}

.sessionTable tr:nth-child(even) {
	background-color: #f2f2f2;
}

.sessionTable td {
	padding: 0px 8px;
}

.sessionTable td:first-child {
	border-right: solid 1px lightgray !important;
}

.sessionTable pre {
	margin: 4px 0px;
}

img.sessionTableIcon {
	width: 18px;
}

/* OTHERS */
.tableau {
	font-size: 1.15em;
	color: var(--unicancer-purple);
}

.tableau th:first-child {
	border-left: 1px solid var(--unicancer-purple);
}

.tableau th:last-child {
	border-right: 1px solid var(--unicancer-purple);
}

.tableau th {
	text-align: left;
	color: #FFF;
	background: var(--unicancer-purple);
	padding: 3px;
	border-top: 1px solid var(--unicancer-purple);
}

.tableau td {
	color: var(--unicancer-purple);
	border-color: var(--unicancer-purple);
	padding: 3px;
}

.loginText {
	color: var(--unicancer-purple);
	font-size: 1.2em;
}

.bgColorOrange {
	background: var(--unicancer-orange) !important;
}

.bgColorSalmon {
	background: #FAD0C4 !important;
}

.bgColorBlue {
	background: var(--unicancer-blue) !important;
}

.borderColorOrange {
	border-color: var(--unicancer-orange) !important;
}

.deactivatedEntry {
	color: red !important;
	text-decoration: line-through !important;
}

.disabledTable {
	background-color: #e3e3e399 !important;
}

.returnBlockOk {
	color: #0ea10e !important;
	border: 3px solid #0ea10e !important;
}

.returnBlockKo {
	color: red !important;
	border: 3px solid red !important;
}

.returnBlockKo,
.returnBlockOk {
	background: none !important;
	font-size: 1em;
}

.clickable {
	cursor: pointer;
	cursor: hand;
	background: none;
	border: none;
	user-select: none;
}

.versionNumber {
	font-size: .8em;
	padding: 0 !important;
}

.maintenance {
	font-size: 3em;
}

.is-prod{
	font-weight: bold;
}

.border-bottom{
	border-bottom: 1px solid lightgrey;
}

.borders-bottom>div:not(:last-child) {
	border-bottom: 1px solid lightgrey;
}

/* Gestion des outils */
.module-info {
	border: 2px solid var(--unicancer-orange);
	border-radius: 4px;
	margin: 10px;
	min-width: 400px;
}

.module-info .module-info-entry:not(:last-child) {
	border-bottom: 1px solid var(--unicancer-orange);
}

.module-info .module-info-entry {
	font-size: 1.1em;
	align-items: center;
}

.module-info .module-info-entry>div {
	padding: 0 10px;
	font-size: larger;
}

.module-info>h2 {
	background-color: var(--unicancer-orange) !important;
	color: white !important;
}

#account-state-header {
	display: inline-flex;
	align-items: center;
	justify-content: center;
	cursor: pointer;
	min-width: 430px;
	user-select: none;
}

#account-state-header:hover {
	box-shadow: inset 0px 0px 0px 2px black;
}